%\documentclass[submission,copyright,creativecommons]{eptcs}
\documentclass[submission,copyright]{eptcs}
\providecommand{\event}{FTSCS 2012} % Name of the event you are submitting to
\usepackage{breakurl}             % Not needed if you use pdflatex only.
\usepackage{graphicx}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{subfigure}
\usepackage{url}
%\usepackage[ruled]{algorithm2e}
\usepackage{wrapfig}

\input{macro.tex}

\title
{
    {\modediagram}: A Mode Diagram Modeling Framework for \\ Periodic Control Systems
}

\author{
Zheng Wang, Geguang Pu~\thanks{Corresponding Author}, Jianwen Li, Jifeng He
\institute{Shanghai Key Laboratory of Trustworthy Computing}
\institute{East China Normal University}
\email{\{wangzheng,ggpu,jifeng\}@sei.ecnu.edu.cn}
\and
Shenchao Qin
\institute{University of Teesside}
\email{s.qin@tees.ac.uk}
\and
Kim G. Larsen
\institute{Aalborg University of Denmark}
\email{kgl@cs.aau.dk}
\and
Jan Madsen
\institute{Technical University of Denmark}
\email{jan@imm.dtu.dk}
\and
Bin Gu
\institute{Beijing Institute of Control Engineering}
\email{gubin88@yahoo.com.cn}
}


\def\titlerunning{{\modediagram}: A Mode Diagram Modeling Framework}
\def\authorrunning{Zheng WANG et al. }

\begin{document}
\maketitle

\begin{abstract}
Periodic control systems  used in spacecrafts and automotives are usually period-driven and can be decomposed into different modes with each mode representing a system state observed from outside. Such  systems may also involve  intensive computing in their modes.
Despite the fact that such control systems are widely used in the above-mentioned safety-critical embedded  domains, there is lack of domain-specific formal modeling languages for such systems in the relevant industry.
To address this problem, we propose a formal visual modeling framework called  {\modediagram} as a concise and precise way to specify and analyze such systems. To capture the temporal properties of  periodic control systems, we provide, along with {\modediagram},  a property specification language based on interval logic for the description of concrete temporal requirements the engineers are concerned with. The statistical model checking technique can then be used to verify the {\modediagram} models against the desired properties. To demonstrate the viability of our approach, we have applied our modeling framework to some real-life case studies from industry and helped detect two design defects for some spacecraft control system.
\end{abstract}

%\keywords
%{
%\modediagram, Periodic Control Systems, Statistical Model Checking
%}

\input intro.tex

\input lang.tex

\input property.tex

\input verification.tex

\input related.tex

\section*{Acknowledgement}

WANG Zheng and GU Bin are partially supported by Projects NSFC No.90818024. and NSFC No.91118007. PU Geguang is partially supported by NSFC Projects No.61061130541 and No.61021004. Jianwen Li is partially supported by Shanghai Knowledge Service Platform for Trustworthy Internet of Things (No. ZF1213). Jifeng He is partially supported by 973 Project No. 2011CB302904. Shengchao Qin was supported in part by EPSRC project EP/G042322.


\bibliographystyle{eptcs}
\bibliography{modechart}
\end{document}
